Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wmps.configuration
Class WMPSConfigurationDocument

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.ogcbase.OGCDocument
              org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument
                  org.deegree.owscommon.OWSCommonCapabilitiesDocument
                      org.deegree.ogcwebservices.wmps.capabilities.WMPSCapabilitiesDocument
                          org.deegree.ogcwebservices.wmps.configuration.WMPSConfigurationDocument

All Implemented Interfaces:
  Serializable

    public class WMPSConfigurationDocument

extends WMPSCapabilitiesDocument

Represents an XML configuration document for a deegree WMPS 1.0 instance, i.e. it consists of all sections common to an OGC WMS 1.1.1 capabilities document plus a deegree specific section named `deegreeParams` and... TODO

Version:
  2.0, $Revision: 24061 $, $Date: 2010-05-04 10:51:44 +0200 (Di, 04. Mai 2010) $
Author:
  Anup Deshmukh, last edited by: $Author: apoth $
See Also:
  Serialized Form

Field Summary
`protected static URI` | `DEEGREEWPSNS`

Fields inherited from class org.deegree.ogcwebservices.wmps.capabilities.WMPSCapabilitiesDocument
`WMPSNS`

Fields inherited from class org.deegree.owscommon.OWSCommonCapabilitiesDocument
`ALL_NAME, CONTENTS_NAME, OGCNS, OPERATIONS_METADATA_NAME, OWSNS, SERVICE_IDENTIFICATION_NAME, SERVICE_PROVIDER_NAME`

Fields inherited from class org.deegree.ogcbase.OGCDocument
`GMLNS`

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`WMPSConfigurationDocument()`

Method Summary
`void` | `createEmptyDocument()` Creates a skeleton capabilities document that contains the mandatory elements only.
`WMPSConfiguration` | `parseConfiguration()` Creates a class representation of the document.
`WMPSDeegreeParams` | `parseDeegreeParams(Node root)` Creates a class representation of the `deegreeParams`- section.
`protected Layer` | `parseLayers(Element layerElem, Layer parent)` returns the layers offered by the WMS
`protected Style[]` | `parseStyles(Element layerElem)` Returns a list of Style elements, parsing the style element
`static void` | `resetCapabilitiesCache()`

Methods inherited from class org.deegree.ogcwebservices.wmps.capabilities.WMPSCapabilitiesDocument
`getDCP, parseAttribution, parseAuthorityURLs, parseCapabilities, parseContactInfo, parseDataURL, parseDimensions, parseExtents, parseFeatureListURL, parseIdentifiers, parseLatLonBoundingBox, parseLayerBoundingBoxes, parseLegendURL, parseMetadataURLs, parseOperation, parseOperationsMetadata, parseScaleHint, parseServiceIdentification, parseServiceProvider, parseStyleSheetURL, parseStyleURL, parseUserDefinedSymbolization`

Methods inherited from class org.deegree.owscommon.OWSCommonCapabilitiesDocument
`getCodeType, getContraints, getDCPs, getKeywords, getKeywords, getOperation, getOWSDomainType, getServiceIdentification, getServiceProvider, getWGS84BoundingBoxType`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument
`parseAddress, parseMetadataLink, parsePhone, parseUpdateSequence, parseVersion`

Methods inherited from class org.deegree.ogcbase.OGCDocument
`parseCodeList, parseCodeListArray, parseExtendedPropertyPath, parseInterval, parseKeywords, parseKeywords, parseLonLatEnvelope, parseOnLineResource, parsePropertyPath, parseTimePeriod, parseTimePeriods, parseTimePositions, parseTimeSequence, parseTypedLiteral, parseValues`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEEGREEWPSNS

    protected static final URI DEEGREEWPSNS

Constructor Detail

### WMPSConfigurationDocument

    public WMPSConfigurationDocument()

Method Detail

### resetCapabilitiesCache

    public static void resetCapabilitiesCache()

### createEmptyDocument

    public void createEmptyDocument()
                             throws IOException,
                                    SAXException

  Creates a skeleton capabilities document that contains the mandatory elements only.

  Overrides:
    `createEmptyDocument` in class `WMPSCapabilitiesDocument`
  Throws:
    `IOException`
    `SAXException`

### parseConfiguration

    public WMPSConfiguration parseConfiguration()
                                         throws InvalidConfigurationException

  Creates a class representation of the document.

  Returns:
    class representation of the configuration document
  Throws:
    `InvalidConfigurationException`

### parseDeegreeParams

    public WMPSDeegreeParams parseDeegreeParams(Node root)
                                         throws XMLParsingException,
                                                MalformedURLException

  Creates a class representation of the `deegreeParams`- section.

  Parameters:
    `root` -
  Returns:
    WMPSDeegreeParams
  Throws:
    `XMLParsingException`
    `MalformedURLException`

### parseLayers

    protected Layer parseLayers(Element layerElem,
                                Layer parent)
                         throws XMLParsingException,
                                UnknownCRSException

  returns the layers offered by the WMS

  Overrides:
    `parseLayers` in class `WMPSCapabilitiesDocument`
  Parameters:
    `layerElem` -
    `parent` -
  Returns:
    Layer
  Throws:
    `XMLParsingException`
    `UnknownCRSException`

### parseStyles

    protected Style[] parseStyles(Element layerElem)
                           throws XMLParsingException

  Returns a list of Style elements, parsing the style element

  Overrides:
    `parseStyles` in class `WMPSCapabilitiesDocument`
  Parameters:
    `layerElem` -
  Returns:
    Style[]
  Throws:
    `XMLParsingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org